const state = {
    supplier: {
        default: [],
        values: this.default
    }
}

const getters = {
    /**
     * 
     * @param {*} state 
     */
    suppliers(state) {
        return state.supplier.values
    }
}

const mutations = {
    /**
     * 
     * @param {*} state 
     * @param {*} payload 
     */
    setSupplier(state, payload) {
        state.supplier.values = [...payload]
    }
}

const actions = {
    /**
     * 
     * @param {*} param0 
     */
    setSupplier({ commit }, payload) {
        commit('setSupplier', payload)
    }
}

export default {
    state,
    getters,
    mutations,
    actions
}